Main Page Widgets Namespaces Book

# Glib::Cond Class Reference
[Threads]

List of all members.

## Public Methods

| Cond ()
| ~Cond ()
void | signal ()
void | broadcast ()
void | wait (Mutex& mutex)
bool | timed_wait (Mutex& mutex, const Glib::TimeVal& abs_time)
GCond* | gobj ()

## Detailed Description

Examples:

  thread/thread.cc.

## Constructor & Destructor Documentation

Glib::Cond::Cond | ( |  | ) |

Glib::Cond::~Cond | ( |  | ) |

## Member Function Documentation

void Glib::Cond::broadcast | ( |  | ) |

GCond* Glib::Cond::gobj | ( |  | ) | `[inline]`

void Glib::Cond::signal | ( |  | ) |

bool Glib::Cond::timed_wait | ( | Mutex& | mutex,
|  | const Glib::TimeVal& | abs_time
| ) |

void Glib::Cond::wait | ( | Mutex& | mutex | ) |

The documentation for this class was generated from the following file:

- thread.h